be.ehealth.technicalconnector.validator.impl

## Class EhealthReplyValidatorImpl

- java.lang.Object
- - be.ehealth.technicalconnector.validator.impl.EhealthReplyValidatorImpl

- All Implemented Interfaces:
    EhealthReplyValidator

      public class EhealthReplyValidatorImpl
      extends Object
      implements EhealthReplyValidator

  Implementation of `EhealthReplyValidator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EHEALTH_SUCCESS_CODE_100` The eHealth success codes.
    `static String` | `EHEALTH_SUCCESS_CODE_200`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EhealthReplyValidatorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
    `boolean` | `validateReplyStatus(ResponseType response)` Validate reply status.
    `boolean` | `validateReplyStatus(StatusResponseType response)` Validate reply status.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EHEALTH_SUCCESS_CODE_100

          public static final String EHEALTH_SUCCESS_CODE_100

      The eHealth success codes.
      See Also:
        Constant Field Values

    - #### EHEALTH_SUCCESS_CODE_200

          public static final String EHEALTH_SUCCESS_CODE_200

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EhealthReplyValidatorImpl

          public EhealthReplyValidatorImpl()

  - ### Method Detail

    - #### validateReplyStatus

          public boolean validateReplyStatus(ResponseType response)
                                      throws SoaErrorException

      Description copied from interface: `EhealthReplyValidator`
      Validate reply status.
      Specified by:
        `validateReplyStatus` in interface `EhealthReplyValidator`
      Parameters:
        `response` - the response
      Returns:
        true, if successful
      Throws:
        `SoaErrorException` - the exception containing the error retrieved from the webservice

    - #### validateReplyStatus

          public boolean validateReplyStatus(ResponseType response)
                                      throws SoaErrorException

      Description copied from interface: `EhealthReplyValidator`
      Validate reply status.
      Specified by:
        `validateReplyStatus` in interface `EhealthReplyValidator`
      Parameters:
        `response` - the response
      Returns:
        true, if successful
      Throws:
        `SoaErrorException` - the exception containing the error retrieved from the webservice

    - #### validateReplyStatus

          public boolean validateReplyStatus(StatusResponseType response)
                                      throws SoaErrorException

      Description copied from interface: `EhealthReplyValidator`
      Validate reply status.
      Specified by:
        `validateReplyStatus` in interface `EhealthReplyValidator`
      Parameters:
        `response` - the response
      Returns:
        true, if successful
      Throws:
        `SoaErrorException` - the exception containing the error retrieved from the webservice

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.